Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.associations
Class AssociationProxySupport.LocalCallbackFilter

    java.lang.Object
      org.jini.rio.associations.AssociationProxySupport.LocalCallbackFilter

All Implemented Interfaces:
  net.sf.cglib.proxy.CallbackFilter

Enclosing class:
  AssociationProxySupport<T>

    public class AssociationProxySupport.LocalCallbackFilter

extends Object
implements net.sf.cglib.proxy.CallbackFilter

Field Summary
`static int` | `DEFAULT`
`static int` | `LOCAL`

Constructor Summary
`AssociationProxySupport.LocalCallbackFilter(Method[] methods)`

Method Summary
`int` | `accept(Method method)` Specify which callback to use for the method being invoked.
`protected List<String>` | `getLocalMethodNames()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.cglib.proxy.CallbackFilter
`equals`

Field Detail

### LOCAL

    public static final int LOCAL

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### AssociationProxySupport.LocalCallbackFilter

    public AssociationProxySupport.LocalCallbackFilter(Method[] methods)

Method Detail

### accept

    public int accept(Method method)

  Specify which callback to use for the method being invoked.

  Specified by:
    `accept` in interface `net.sf.cglib.proxy.CallbackFilter`
  Parameters:
    `method` - the method being invoked.
  Returns:
    the callback index in the callback array for this method

### getLocalMethodNames

    protected List<String> getLocalMethodNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.